SpecializationUtil.registerSpecialization("enterVehicleInformation", "enterVehicleInfo", g_currentModDirectory.."enterVehicleInfo.lua")
sb_isFunctionLoaded = false;

enterVehicleInfoRegister = {};

function enterVehicleInfoRegister:loadMap(name)
	if not sb_isFunctionLoaded then
		for _, vehicleType in pairs(VehicleTypeUtil.vehicleTypes) do
			if vehicleType ~= nil then
				local loadSpec = false;
				for i = 1, table.maxn(vehicleType.specializations) do
					local specialization = vehicleType.specializations[i]
					if specialization ~= nil and (specialization == SpecializationUtil.getSpecialization("motorized")) then
						loadSpec = true;
					end;
				end;
			
				if loadSpec then
					table.insert(vehicleType.specializations, SpecializationUtil.getSpecialization("enterVehicleInformation"));
				end;
			end;
		end;
		
		sb_isFunctionLoaded = true;
	end;
end;

function enterVehicleInfoRegister:deleteMap()
end;

function enterVehicleInfoRegister:keyEvent(unicode, sym, modifier, isDown)
end;

function enterVehicleInfoRegister:mouseEvent(posX, posY, isDown, isUp, button)
end;

function enterVehicleInfoRegister:update(dt)
end;

function enterVehicleInfoRegister:draw()
end;

addModEventListener(enterVehicleInfoRegister);